MigrationManager.MigrationsSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service

## Class MigrationManager.MigrationsSerializer

- java.lang.Object
- - org.apache.cassandra.service.MigrationManager.MigrationsSerializer

- All Implemented Interfaces:
    IVersionedSerializer<java.util.Collection<Mutation>>
  Enclosing class:
    MigrationManager

      public static class MigrationManager.MigrationsSerializer
      extends java.lang.Object
      implements IVersionedSerializer<java.util.Collection<Mutation>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MigrationManager.MigrationsSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationsSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<Mutation>` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(java.util.Collection<Mutation> schema, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(java.util.Collection<Mutation> schema, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static MigrationManager.MigrationsSerializer instance

  - ### Constructor Detail

    - #### MigrationsSerializer

          public MigrationsSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(java.util.Collection<Mutation> schema,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<java.util.Collection<Mutation>>`
      Parameters:
        `schema` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public java.util.Collection<Mutation> deserialize(DataInputPlus in,
                                                            int version)
                                                     throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<java.util.Collection<Mutation>>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(java.util.Collection<Mutation> schema,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<java.util.Collection<Mutation>>`
      Parameters:
        `schema` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation